Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security
Class Entity

    java.lang.Object
      |
      +--weblogic.security.Entity

Direct Known Subclasses:
  X500Name

Deprecated. Deprecated in WebLogic Server 7.0.

public class Entity
extends java.lang.Object

A generic entity class. Examples of entities are people, objects, or organizations.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected java.lang.String` | `name` Deprecated. The entity's name.

Constructor Summary
`Entity()` Deprecated.

Method Summary
`boolean` | `equals(Entity e)` Deprecated. Return true if entity's name matches the name of the argument, false otherwise.
`java.lang.String` | `getName()` Deprecated. Return the name of the entity.
`void` | `initialize(byte[] data)` Deprecated. Initialize the entity from data.
`byte[]` | `save()` Deprecated. Return the bytes of the name.
`void` | `setName(java.lang.String n)` Deprecated. Set the name for the entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  Deprecated.
  The entity's name.

Constructor Detail

### Entity

    public Entity()

  Deprecated.

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Return the name of the entity.

### setName

    public void setName(java.lang.String n)

  Deprecated.
  Set the name for the entity.

### equals

    public boolean equals(Entity e)

  Deprecated.
  Return true if entity's name matches the name of the argument, false otherwise.

### initialize

    public void initialize(byte[] data)
                    throws KeyManagementException

  Deprecated.
  Initialize the entity from data.

### save

    public byte[] save()
                throws KeyManagementException

  Deprecated.
  Return the bytes of the name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD